Read the technical requirements for the ecoDMS Mobile App on iOS devices here.
IOS 6.1 oder higher Compatible with iPhone, iPad, iPod touch ca. 70k Connecting to the Internet from your mobile device is required.
The ecoDMS server must be accessible online.
We recommend you upgrade to a later version of ecoDMS.
The lifecycle of this ecoDMS Archive version has expired.
Once the lifecycle of an ecoDMS version has expired, ecoDMS can no longer guarantee the operability of the mobile functions and services for the affected ecoDMS version.
Users have no right for rectification of the ecoDMS mobile version in case of incompatibility with an ecoDMS version after the lifecycle has come to an end.

System Environment

Please note the official system requirements for each application before installation. If your system does not meet these requirements, we cannot guarantee the smooth and stable operation of our software.

System Environment

Please note the official system requirements for each application before installation. If your system does not meet these requirements, we cannot guarantee the smooth and stable operation of our software.